<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.FundsChangeMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.FundsChange">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="projectName" column="projectName" jdbcType="VARCHAR"/>
            <result property="changeAmount" column="changeAmount" jdbcType="DECIMAL"/>
            <result property="currentAmount" column="currentAmount" jdbcType="DECIMAL"/>
            <result property="userId" column="userId" jdbcType="BIGINT"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,projectName,changeAmount,
        currentAmount,userId,isDelete,
        createTime,updateTime
    </sql>
</mapper>
